Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.instantiated
Class InstantiatedTermEnum

    java.lang.Object
      org.apache.lucene.index.TermEnum
          org.apache.lucene.store.instantiated.InstantiatedTermEnum

All Implemented Interfaces:
  Closeable

    public class InstantiatedTermEnum

extends TermEnum

A `TermEnum` navigating an `InstantiatedIndexReader`.

Constructor Summary
`InstantiatedTermEnum(InstantiatedIndexReader reader)`
`InstantiatedTermEnum(InstantiatedIndexReader reader, int startPosition)`

Method Summary
`void` | `close()` Closes the enumeration to further activity, freeing resources.
`int` | `docFreq()` Returns the docFreq of the current Term in the enumeration.
`boolean` | `next()` Increments the enumeration to the next element.
`Term` | `term()` Returns the current Term in the enumeration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstantiatedTermEnum

    public InstantiatedTermEnum(InstantiatedIndexReader reader)

### InstantiatedTermEnum

    public InstantiatedTermEnum(InstantiatedIndexReader reader,
                                int startPosition)

Method Detail

### next

    public boolean next()

  Increments the enumeration to the next element. True if one exists.

  Specified by:
    `next` in class `TermEnum`

### term

    public Term term()

  Returns the current Term in the enumeration.

  Specified by:
    `term` in class `TermEnum`

### docFreq

    public int docFreq()

  Returns the docFreq of the current Term in the enumeration.

  Specified by:
    `docFreq` in class `TermEnum`

### close

    public void close()

  Closes the enumeration to further activity, freeing resources.

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `TermEnum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD